Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.filter
Class IncludeFilter

    Object
      IncludeFilter

All Implemented Interfaces:
  Serializable, Filter

    public final class IncludeFilter

extends Object
implements Filter, Serializable

Indicating "no filtering", evaultates to `true`.

This is a placeholder filter intended to be used in data structuring definition.

- INCLUDE or Filter ==> INCLUDE
  INCLUDE and Filter ==> Filter
  not INCLUDE ==> EXCLUDE
  The above does imply that the OR opperator can short circuit on encountering NONE.

  See Also:
    Serialized Form

  Field Summary

  Fields inherited from interface Filter
  `EXCLUDE, INCLUDE`

  Method Summary
  `Object` | `accept(FilterVisitor visitor, Object extraData)` Accepts a visitor.
  `boolean` | `equals(Object obj)`
  `boolean` | `evaluate(Object object)` Returns `true`, content is included.
  `int` | `hashCode()`
  `String` | `toString()`

  Methods inherited from class Object
  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  Method Detail

  ### accept

      public Object accept(FilterVisitor visitor,
                           Object extraData)

    Description copied from interface: `Filter`
    Accepts a visitor.

    Implementations of all subinterfaces must have with a method whose content is the following:

        return visitor.visit(this, extraData);

    Specified by:
      `accept` in interface `Filter`

  ### evaluate

      public boolean evaluate(Object object)

    Returns `true`, content is included.

    Specified by:
      `evaluate` in interface `Filter`
    Returns:
      `true if the test(s) are passed for the provided object`

  ### equals

      public boolean equals(Object obj)

    Overrides:
      `equals` in class `Object`

  ### hashCode

      public int hashCode()

    Overrides:
      `hashCode` in class `Object`

  ### toString

      public String toString()

    Overrides:
      `toString` in class `Object`

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.